# copyright: Huynh Duong Phuong Vi
# www.sketchupforyou.com
module S4U
	module S4u_Align
		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'
		NAME="s4u_align"
		Strings = LanguageHandler.new( NAME + ".strings")
		TOOL= Strings["Align"]
		@ext = SketchupExtension.new(("s4u-" + TOOL),File.join(NAME,(NAME + "_loader")))
		@ext.copyright= 'Huynh Duong Phuong Vi'
		@ext.creator = 'Suforyou'
		@ext.version = '5.1.0'
		@ext.description = Strings["Align selected objects.Press TAB -> Align or Align-Move.Press hold Shift -> multiselect.Press hold Ctrl(Alt on Mac) -> Copy."]
		Sketchup.register_extension @ext, true
	end
end
