# copyright: Huynh Duong Phuong Vi
# www.sketchupforyou.com
module S4U
	module S4u_Align
        IS_WIN = (Sketchup.platform == :platform_win)
		IS_OSX = (Sketchup.platform == :platform_osx)
		Sketchup::require File.join(NAME,(NAME + "_code"))
		if  !self.const_defined?("Dir_s4u_name")
			S4U.instance_variable_set(:@s4u_menu,UI.menu("Plugins").add_submenu("Suforyou")) if !S4U.instance_variable_defined?(:@s4u_menu)
			menu=S4U.instance_variable_get :@s4u_menu
			@toolbar = UI::Toolbar.new("s4u-"+ TOOL)
			names=[TOOL,"align_large.png","align_small.png",Strings.GetString("Select target Object and aligned Object.Press hold Shift -> Multiselect.Tab -> Align or Align+Move.Press hold Ctrl(Alt on Mac) -> Copy.")]
			@commands= UI::Command.new(names[0]){self.align}
			@commands.large_icon = names[1]
			@commands.small_icon = names[2]
			@commands.status_bar_text = names[3]
			@commands.tooltip= names[0]
			@commands.menu_text = names[0]
			@toolbar = @toolbar.add_item @commands
			items=[]
			items<<menu.add_item(@commands)
			@toolbar.show if @toolbar.get_last_state.abs == 1
            Dir_s4u_name = File.join(File.dirname(@ext.extension_path),NAME)
		end
	end
end